include:
- template: Auto-DevOps.gitlab-ci.yml

info:
  stage: build
  image:
    name: bitnami/kubectl:latest
    entrypoint: ['']
  script:
    - kubectl config get-contexts
    - kubectl config use-context $KUBE_CONTEXT
    - kubectl get namespaces

production:
  variables:
    KUBE_NAMESPACE: autodevops-poc
    POSTGRES_ENABLED: 'true'
    POSTGRES_USER: postgres
    POSTGRES_PASSWORD: database_password
    POSTGRES_DB: autodevops_poc
    DJANGO_SETTINGS_MODULE: pocsite.settings.image
    DB_INITIALIZE: |
      export DJANGO_SETTINGS_MODULE=pocsite.settings.image &&
      poetry run python manage.py migrate &&
      DJANGO_SUPERUSER_USERNAME=admin DJANGO_SUPERUSER_PASSWORD=admin \
        DJANGO_SUPERUSER_EMAIL='django@ilovedevops.com' \
        poetry run python manage.py createsuperuser --noinput

    # Trial and error to address postgresql pod perpetual pending
    POSTGRES_VERSION: '16.2.0'
    POSTGRES_CHART_VERSION: '15.2.5'
    POSTGRES_CHART_REPOSITORY: https://charts.bitnami.com/bitnami

  environment:
    name: production
    url: http://app2.$KUBE_INGRESS_BASE_DOMAIN
